Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.daemon.support
Class DaemonConfiguration

    java.lang.Object
      org.apache.commons.daemon.support.DaemonConfiguration

    public final class DaemonConfiguration

extends java.lang.Object

Used by jsvc for Daemon configuration.

Configuration is read from properties file. If no properties file is given the `daemon.properties` is used from the current directory.

The properties file can have property values expanded at runtime by using System properties or execution environment. The part of the property value between `${` and `}` will be used as System property or environment key. If found then the entire `${foo}` will be replaced by the value of either system property or environment variable named `foo`.

If no variable is found the `${foo}` will be passed as is. In case of `$${foo}` this will be unescaped and resulting value will be `${foo}`.

Version:
  1.0 (SVN $Revision: 925053 $)
Author:
  Mladen Turk

Field Summary
`protected static java.lang.String` | `DEFAULT_CONFIG` Default configuration file name.
`protected static java.lang.String` | `PREFIX` Property prefix

Constructor Summary
`DaemonConfiguration()` Default constructor

Method Summary
`java.lang.String` | `getProperty(java.lang.String name)` Get the configuration property.
`java.lang.String[]` | `getPropertyArray(java.lang.String name)` Get the configuration property array.
`boolean` | `load(java.lang.String fileName)` Load the configuration properties file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_CONFIG

    protected static final java.lang.String DEFAULT_CONFIG

  Default configuration file name.

  See Also:
    Constant Field Values

### PREFIX

    protected static final java.lang.String PREFIX

  Property prefix

  See Also:
    Constant Field Values

Constructor Detail

### DaemonConfiguration

    public DaemonConfiguration()

  Default constructor

Method Detail

### load

    public boolean load(java.lang.String fileName)

  Load the configuration properties file.

  Parameters:
    `fileName` - The properties file to load.
  Returns:
    `true` if the file was loaded.

### getProperty

    public java.lang.String getProperty(java.lang.String name)
                                 throws java.text.ParseException

  Get the configuration property.

  Parameters:
    `name` - The name of the property to get.
  Throws:
    `java.text.ParseException` - if the property is wrongly formatted.

### getPropertyArray

    public java.lang.String[] getPropertyArray(java.lang.String name)
                                        throws java.text.ParseException

  Get the configuration property array.

  Property array is constructed form the lsit of properties which end with `[index]`

       daemon.arg[0] = argument 1
       daemon.arg[1] = argument 2
       daemon.arg[2] = argument 3

  Parameters:
    `name` - The name of the property array to get.
  Throws:
    `java.text.ParseException` - if the property is wrongly formatted.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002-2011 - Apache Software Foundation